Skip to main content
GET
/
discounts
/
coupons
/
v1
Retrieve coupons
curl --request GET \
  --url https://api.spacebring.com/discounts/coupons/v1 \
  --header 'Authorization: Basic <encoded-value>'
{
  "coupons": [
    {
      "amountOff": 123,
      "currencyCode": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "limitedItems": {
        "enabled": true,
        "values": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "title": "<string>"
          }
        ]
      },
      "limitedRedemption": {
        "enabled": true,
        "usage": 123,
        "value": 123
      },
      "productTypes": [],
      "createDate": "2023-11-07T05:31:56Z",
      "deleteDate": "2023-11-07T05:31:56Z",
      "durationInMonths": 123,
      "enabledForCredits": true,
      "locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "percentOff": 123
    }
  ],
  "nextPageToken": "<string>",
  "searchQueryNext": "<string>"
}

Authorizations

Authorization
string
header
required

See our authentication documentation for how to authorize your requests

Headers

spacebring-network-id
string<uuid>

The id of the network. Required when using bearer token authentication

Query Parameters

locationRef
string<uuid>
required

The id of the location

type
enum<string>

Comma-separated list of coupon types to filter by

Available options:
creditPackages,
desks,
equipment,
events,
products,
rooms,
subscriptionItems
limit
integer
default:25

The number of coupons to retrieve. Default: 25

nextPageToken
string

Token to retrieve the next page of results. Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.

Response

Success

coupons
object[]
nextPageToken
string

Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.

searchQueryNext
string

Pre-built query string for the next page of results. Contains all active filter parameters combined with the next page token, ready to append to the endpoint URL.